##############################################################################
# Copyright (c) 2017 Orange and others.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Apache License, Version 2.0
# which accompanies this distribution, and is available at
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
---
### vPOD descriptor file ###

details:
  pod_owner: ONAP
  contact: N/A
  lab: ONAP LaaS
  location: N/A
  type: production
  link: http://wiki.opnfv.org/
##############################################################################

nodes:
  - name: control01
    node: &nodeparams
      type: virtual
      vendor: openstack
      model: debian-9
      arch: x86_64
      cpus: 4
      cpu_cflags: host-model
      cores: 8
      memory: 6G
    disks: &disks
      - name: disk1
        disk_capacity: 10G
        disk_type: qcow2
        disk_interface: ide
        disk_rotation:
      - name: disk-docker
        disk_capacity: 5G
        disk_type: qcow2
        disk_interface: ide
        disk_rotation:
      - name: disk-kubelet
        disk_capacity: 10G
        disk_type: qcow2
        disk_interface: ide
        disk_rotation:
      - name: disk-logs
        disk_capacity: 10G
        disk_type: qcow2
        disk_interface: ide
        disk_rotation:
      - name: disk-etcd
        disk_capacity: 1G
        disk_type: qcow2
        disk_interface: ssd-fast
        disk_rotation:
    remote_management: &remote_management
      type:
        - ipmi: NA
      user: NA
      pass: NA
      address: NA
      mac_address: NA
    interfaces: &interfaces
      - mac_address:
        name: nic1
        speed:
        features:
  - name: control02
    node: *nodeparams
    disks: *disks
    remote_management: *remote_management
    interfaces: *interfaces
  - name: control03
    node: *nodeparams
    disks: *disks
    remote_management: *remote_management
    interfaces: *interfaces
  - name: compute01
    node: &computeparams
      type: virtual
      vendor: openstack
      model: debian-9
      arch: x86_64
      cpus: 16
      cpu_cflags: host-model
      cores: 16
      memory: 48G
    disks: &diskWorker
      - name: disk1
        disk_capacity: 10G
        disk_type: qcow2
        disk_interface: ide
        disk_rotation:
      - name: disk-docker
        disk_capacity: 80G
        disk_type: qcow2
        disk_interface: ide
        disk_rotation:
      - name: disk-kubelet
        disk_capacity: 30G
        disk_type: qcow2
        disk_interface: ide
        disk_rotation:
      - name: disk-logs
        disk_capacity: 10G
        disk_type: qcow2
        disk_interface: ide
        disk_rotation:
      - name: disk-longhorn
        disk_capacity: 30G
        disk_type: qcow2
        disk_interface: ssd-fast
        disk_rotation:
    remote_management: *remote_management
    interfaces: *interfaces
  - name: compute02
    node: *computeparams
    disks: *diskWorker
    remote_management: *remote_management
    interfaces: *interfaces
  - name: compute03
    node: *computeparams
    disks: *diskWorker
    remote_management: *remote_management
    interfaces: *interfaces
  - name: compute04
    node: *computeparams
    disks: *diskWorker
    remote_management: *remote_management
    interfaces: *interfaces
  - name: compute05
    node: *computeparams
    disks: *diskWorker
    remote_management: *remote_management
    interfaces: *interfaces
  - name: compute06
    node: *computeparams
    disks: *diskWorker
    remote_management: *remote_management
    interfaces: *interfaces
